// Driver for parser


//import parser;
//import sym;

public class DParser {

    static boolean do_debug_parse = false;

    public DParser() {};

    /** ******************************************************************
     * 
     */
    static void printHelp() {
	System.out.println("USAGE: " + " [ arg1 arg2 ... ] input");
    }
    /** ******************************************************************
     * 
     */
    static public void main(String[] args) throws Exception {
	String fileName = "test.txt";
	
	for( int i=0; i<args.length; i++ ) {
	    if( args[i].equals("-h") ) {
		printHelp();
		System.exit(0);
	    } else if( args[i].equals("-d") ) {
		do_debug_parse = true;
	    } else if( args[i].equals("-o") ) {
		//		CUP$parser$actions.outFileName = args[ ++i ];
	    } else if( ! args[i].startsWith( "-" ) ) {
		fileName = args[ i ];
	    } else {
		System.out.println( "unknown option <" + args[i] + ">" );
		printHelp();
		System.exit(0);
	    } 

	}

	System.out.println( "start parsing on file " + fileName );

	/* create a parsing object */
	scanner sc = new scanner( fileName );
	if (do_debug_parse) sc.verbose = 1;
	parser parser_obj = new parser(sc);
	
	for( ;; ) {
	    try {
		if (do_debug_parse) {
		    System.out.println( "Using debug mode" );
		    parser_obj.debug_parse();	 
		} else {
		    parser_obj.parse();
		}
	    } catch (Exception e) {
		System.out.println( "Exception " + e );
		System.exit(1);
	    }
	}
    }
}

